import Taro, { useLoad } from '@tarojs/taro'
import React from 'react'
import { View } from '@tarojs/components'
// import Demo from '@/pages/components/demo/index'
import './index.less'

// console.log(Demo)
// debugger
// console.log(Taro.getApp())

const myPluginInterface = Taro.requirePlugin('myPlugin')

const Index: React.FC = () => {
  useLoad(() => {
    // myPluginInterface.sayHello()
    // const answer = myPluginInterface.answer
    // console.log('answer: ', answer)
  })

  function onClick() {
    Taro.openEmbeddedMiniProgram({
      appId: 'wxdd372c87e2fab30b',
      path: '/pages/msg-center/msg-webview/msg-webview?url=https%3A%2F%2Fm.qianliao.net%2Ffinancial%2Fexperience-plan-sku%3FlaunchId%3D5752452079%26wcl%3D220200_13052693_financing%26appId%3D1&reportData={}&channel=customAd'
    })
  }

  return (
    <View className='index'>
      <calendar />
    </View>
  )
}

export default Index
